/**
 * Theme Name:     Twenty Twenty-Five Child
 * Author:         the WordPress team
 * Template:       twentytwentyfive
 * Text Domain:	   twenty-twenty-five-child
 * Description:    Twenty Twenty-Five emphasizes simplicity and adaptability. It offers flexible design options, supported by a variety of patterns for different page types, such as services and landing pages, making it ideal for building personal blogs, professional portfolios, online magazines, or business websites. Its templates cater to various blog styles, from text-focused to image-heavy layouts. Additionally, it supports international typography and diverse color palettes, ensuring accessibility and customization for users worldwide.
 */

@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Oswald:wght@200;300;400;500;600;700&display=swap');

body, p, span, a, li, button, input, textarea, .wp-block-uagb-buttons { font-family: 'Inter', sans-serif !important;}

h1, h2, h3, h4, h5, h6, .wp-block-heading, .spectra-heading, .uagb-heading { font-family: 'Oswald', sans-serif !important; font-weight: 800 !important;}

p { font-weight: 400 !important; margin: 0px !important;}

.uagb-infobox-shape-squre { border-radius: 10px !important;}

a { text-decoration: none !important;}

a {
    text-decoration-thickness: 0px !important;
    text-underline-offset: 0em !important;
}

:where(.wp-site-blocks :focus) {
    outline-style: none !important;
    outline-width: 0px !important;
}

ul.wp-block-navigation__submenu-container.has-text-color.has-contrast-color.has-background.has-base-background-color.wp-block-navigation-submenu {
    width: 260px !important;
}

.single-post {
	h2 { font-size: 28px !important;}
	h3 { font-size: 24px !important;}
	h4 { font-size: 20px !important;}
	p { font-size: 18px !important; padding: 10px 0px !important;}
	ul.wp-block-list {
    margin: 0px !important;
    font-size: 18px !important;
}
	li {
    margin: 0px !important;
}
}

.gradient-separator {
  width: 75% !important;
  height: 5px !important;
  background: linear-gradient(
    to right,
    #1f7a3f 0%,
    #1f7a3f 20%,
    #7fbf3f 35%,
    #f5c542 50%,
    #7fbf3f 65%,
    #1f7a3f 80%,
    #1f7a3f 100%
  ) !important;
  border-radius: 5px !important;
  margin: 0 auto !important;
}

.hide-mobile-tablet {
    display: none;
}

@media (max-width: 480px) {
	button.wp-block-navigation__responsive-container-open {
    width: 100% !important;
    justify-content: end !important;
		
		svg { background: #226745; color: #fff; padding: 7px;
            border-radius: 7px;}
	} 

button.wp-block-navigation__responsive-container-close svg { background: #226745; color: #fff; padding: 7px;
            border-radius: 7px;}
	
	.items-justified-left {
    justify-content: flex-start !important;
}
	
	.wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content {
    align-items: var(--navigation-layout-align, initial) !important;
    display: flex !important;
    flex-direction: var(--navigation-layout-direction, initial) !important;
    flex-wrap: var(--navigation-layout-wrap, wrap) !important;
    justify-content: var(--navigation-layout-justify, initial) !important;
}

}

@media (min-width: 1025px) {
    .hide-mobile-tablet {
        display: block;
    }
}

.hide-desktop {
    display: block;
}

@media (min-width: 1025px) {
    .hide-desktop {
        display: none;
    }
}

@media only screen and (max-width: 767px) {
	.hide-mob { display: none !important;}}